---
title: AudioListener.positionZ
slug: Web/API/AudioListener/positionZ
tags:
  - API
  - Audio
  - AudioListener
  - Property
  - Reference
  - Web Audio API
  - positionZ
---
<p>{{ APIRef("Web Audio API") }}</p>

<p>The <code>positionZ</code> read-only property of the {{ domxref("AudioListener") }} interface is an {{domxref("AudioParam")}} representing the z position of the listener in 3D cartesian space.</p>

<div class="note">
<p><strong>Note</strong>: The parameter is <em>a-rate</em> when used with a {{domxref("PannerNode")}} whose {{domxref("PannerNode.panningModel", "PannerNode")}} is set to equalpower, or <em>k-rate</em> otherwise.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var audioCtx = new AudioContext();
var myListener = audioCtx.listener;
myListener.positionZ.value = 1;
</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("AudioParam")}}. Its default value is 0, and it can range between positive and negative infinity.</p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/AudioListener","Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-audiolistener-positionz', 'positionZ')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AudioListener.positionZ")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
